import type { TSESTree } from '@typescript-eslint/types';
declare type TIsSpecificTokenFunction<SpecificToken extends TSESTree.Token> = (token: TSESTree.Token) => token is SpecificToken;
declare type TIsNotSpecificTokenFunction<SpecificToken extends TSESTree.Token> = (token: TSESTree.Token) => token is Exclude<TSESTree.Token, SpecificToken>;
declare type TPunctuatorTokenWithValue<Value extends string> = TSESTree.PunctuatorToken & {
    value: Value;
};
declare type TIsPunctuatorTokenWithValueFunction<Value extends string> = TIsSpecificTokenFunction<TPunctuatorTokenWithValue<Value>>;
declare type TIsNotPunctuatorTokenWithValueFunction<Value extends string> = TIsNotSpecificTokenFunction<TPunctuatorTokenWithValue<Value>>;
declare const isArrowToken: TIsPunctuatorTokenWithValueFunction<"=>">;
declare const isNotArrowToken: TIsNotPunctuatorTokenWithValueFunction<"=>">;
declare const isClosingBraceToken: TIsPunctuatorTokenWithValueFunction<"}">;
declare const isNotClosingBraceToken: TIsNotPunctuatorTokenWithValueFunction<"}">;
declare const isClosingBracketToken: TIsPunctuatorTokenWithValueFunction<"]">;
declare const isNotClosingBracketToken: TIsNotPunctuatorTokenWithValueFunction<"]">;
declare const isClosingParenToken: TIsPunctuatorTokenWithValueFunction<")">;
declare const isNotClosingParenToken: TIsNotPunctuatorTokenWithValueFunction<")">;
declare const isColonToken: TIsPunctuatorTokenWithValueFunction<":">;
declare const isNotColonToken: TIsNotPunctuatorTokenWithValueFunction<":">;
declare const isCommaToken: TIsPunctuatorTokenWithValueFunction<",">;
declare const isNotCommaToken: TIsNotPunctuatorTokenWithValueFunction<",">;
declare const isCommentToken: TIsSpecificTokenFunction<TSESTree.Comment>;
declare const isNotCommentToken: TIsNotSpecificTokenFunction<TSESTree.Comment>;
declare const isOpeningBraceToken: TIsPunctuatorTokenWithValueFunction<"{">;
declare const isNotOpeningBraceToken: TIsNotPunctuatorTokenWithValueFunction<"{">;
declare const isOpeningBracketToken: TIsPunctuatorTokenWithValueFunction<"[">;
declare const isNotOpeningBracketToken: TIsNotPunctuatorTokenWithValueFunction<"[">;
declare const isOpeningParenToken: TIsPunctuatorTokenWithValueFunction<"(">;
declare const isNotOpeningParenToken: TIsNotPunctuatorTokenWithValueFunction<"(">;
declare const isSemicolonToken: TIsPunctuatorTokenWithValueFunction<";">;
declare const isNotSemicolonToken: TIsNotPunctuatorTokenWithValueFunction<";">;
export { isArrowToken, isClosingBraceToken, isClosingBracketToken, isClosingParenToken, isColonToken, isCommaToken, isCommentToken, isNotArrowToken, isNotClosingBraceToken, isNotClosingBracketToken, isNotClosingParenToken, isNotColonToken, isNotCommaToken, isNotCommentToken, isNotOpeningBraceToken, isNotOpeningBracketToken, isNotOpeningParenToken, isNotSemicolonToken, isOpeningBraceToken, isOpeningBracketToken, isOpeningParenToken, isSemicolonToken, };
